diff --git a/snf-pithos-backend/pithos/backends/lib/rabbitmq/queue.py b/snf-pithos-backend/pithos/backends/lib/rabbitmq/queue.py
index feb011e..ff97b89 100644
--- a/snf-pithos-backend/pithos/backends/lib/rabbitmq/queue.py
+++ b/snf-pithos-backend/pithos/backends/lib/rabbitmq/queue.py
@@ -1,18 +1,18 @@
 # Copyright 2012 GRNET S.A. All rights reserved.
-# 
+#
 # Redistribution and use in source and binary forms, with or
 # without modification, are permitted provided that the following
 # conditions are met:
-# 
+#
 #   1. Redistributions of source code must retain the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer.
-# 
+#
 #   2. Redistributions in binary form must reproduce the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer in the documentation and/or other materials
 #      provided with the distribution.
-# 
+#
 # THIS SOFTWARE IS PROVIDED BY GRNET S.A. ``AS IS'' AND ANY EXPRESS
 # OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 # WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
@@ -25,7 +25,7 @@
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 # ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 # POSSIBILITY OF SUCH DAMAGE.
-# 
+#
 # The views and conclusions contained in the software and
 # documentation are those of the authors and should not be
 # interpreted as representing official policies, either expressed
@@ -38,15 +38,16 @@ class Queue(object):
     """Queue.
        Required constructor parameters: exchange, client_id.
     """
-    
+
     def __init__(self, **params):
         exchange = params['exchange']
         self.conn = exchange_connect(exchange)
         self.client_id = params['client_id']
-    
+
     def send(self, message_key, user, instance, resource, value, details):
-        body = Receipt(self.client_id, user, instance, resource, value, details).format()
+        body = Receipt(
+            self.client_id, user, instance, resource, value, details).format()
         exchange_send(self.conn, message_key, body)
-    
+
     def close(self):
         exchange_close(self.conn)
diff --git a/snf-pithos-backend/pithos/backends/lib/sqlalchemy/alembic/versions/230f8ce9c90f_alter_nodes_add_colu.py b/snf-pithos-backend/pithos/backends/lib/sqlalchemy/alembic/versions/230f8ce9c90f_alter_nodes_add_colu.py
index 342c16d..dbb0a61 100644
--- a/snf-pithos-backend/pithos/backends/lib/sqlalchemy/alembic/versions/230f8ce9c90f_alter_nodes_add_colu.py
+++ b/snf-pithos-backend/pithos/backends/lib/sqlalchemy/alembic/versions/230f8ce9c90f_alter_nodes_add_colu.py
@@ -16,24 +16,27 @@ from alembic import op
 
 import sqlalchemy as sa
 
+
 def upgrade():
     op.add_column('nodes', sa.Column('latest_version', sa.INTEGER))
-    
-    n = table('nodes', 
-        column('node', sa.Integer),
-        column('latest_version', sa.Integer)
-    )
-    v = table('versions', 
-        column('node', sa.Integer),
-        column('mtime', sa.Integer),
-        column('serial', sa.Integer),
-    )
-    
-    s = sa.select([v.c.serial]).where(n.c.node == v.c.node).order_by(v.c.mtime).limit(1)
+
+    n = table('nodes',
+              column('node', sa.Integer),
+              column('latest_version', sa.Integer)
+              )
+    v = table('versions',
+              column('node', sa.Integer),
+              column('mtime', sa.Integer),
+              column('serial', sa.Integer),
+              )
+
+    s = sa.select(
+        [v.c.serial]).where(n.c.node == v.c.node).order_by(v.c.mtime).limit(1)
     op.execute(
-        n.update().\
-            values({'latest_version':s})
-            )
+        n.update().
+        values({'latest_version': s})
+    )
+
 
 def downgrade():
     op.drop_column('nodes', 'latest_version')
diff --git a/snf-pithos-backend/pithos/backends/lib/sqlalchemy/alembic/versions/3dd56e750a3_fix_latest_version.py b/snf-pithos-backend/pithos/backends/lib/sqlalchemy/alembic/versions/3dd56e750a3_fix_latest_version.py
index eb8f278..c47697d 100644
--- a/snf-pithos-backend/pithos/backends/lib/sqlalchemy/alembic/versions/3dd56e750a3_fix_latest_version.py
+++ b/snf-pithos-backend/pithos/backends/lib/sqlalchemy/alembic/versions/3dd56e750a3_fix_latest_version.py
@@ -15,22 +15,24 @@ import sqlalchemy as sa
 from sqlalchemy.sql import table, column
 from sqlalchemy.sql.expression import desc
 
+
 def upgrade():
-    n = table('nodes', 
-        column('node', sa.Integer),
-        column('latest_version', sa.Integer)
-    )
-    v = table('versions', 
-        column('node', sa.Integer),
-        column('mtime', sa.Integer),
-        column('serial', sa.Integer),
-    )
-    
-    s = sa.select([v.c.serial]).where(n.c.node == v.c.node).order_by(desc(v.c.mtime)).limit(1)
+    n = table('nodes',
+              column('node', sa.Integer),
+              column('latest_version', sa.Integer)
+              )
+    v = table('versions',
+              column('node', sa.Integer),
+              column('mtime', sa.Integer),
+              column('serial', sa.Integer),
+              )
+
+    s = sa.select([v.c.serial]).where(
+        n.c.node == v.c.node).order_by(desc(v.c.mtime)).limit(1)
     op.execute(
-        n.update().\
-            values({'latest_version':s})
-            )
+        n.update().
+        values({'latest_version': s})
+    )
 
 
 def downgrade():
diff --git a/snf-pithos-backend/pithos/backends/lib/sqlalchemy/dbwrapper.py b/snf-pithos-backend/pithos/backends/lib/sqlalchemy/dbwrapper.py
index 464ca70..3cc9abd 100644
--- a/snf-pithos-backend/pithos/backends/lib/sqlalchemy/dbwrapper.py
+++ b/snf-pithos-backend/pithos/backends/lib/sqlalchemy/dbwrapper.py
@@ -1,18 +1,18 @@
 # Copyright 2011-2012 GRNET S.A. All rights reserved.
-# 
+#
 # Redistribution and use in source and binary forms, with or
 # without modification, are permitted provided that the following
 # conditions are met:
-# 
+#
 #   1. Redistributions of source code must retain the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer.
-# 
+#
 #   2. Redistributions in binary form must reproduce the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer in the documentation and/or other materials
 #      provided with the distribution.
-# 
+#
 # THIS SOFTWARE IS PROVIDED BY GRNET S.A. ``AS IS'' AND ANY EXPRESS
 # OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 # WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
@@ -25,7 +25,7 @@
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 # ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 # POSSIBILITY OF SUCH DAMAGE.
-# 
+#
 # The views and conclusions contained in the software and
 # documentation are those of the authors and should not be
 # interpreted as representing official policies, either expressed
@@ -34,39 +34,42 @@
 from sqlalchemy import create_engine
 #from sqlalchemy.event import listen
 from sqlalchemy.engine import Engine
-from sqlalchemy.pool import NullPool
+from sqlalchemy.pool import NullPool, QueuePool
 from sqlalchemy.interfaces import PoolListener
 
 
 class DBWrapper(object):
     """Database connection wrapper."""
-    
+
     def __init__(self, db):
         if db.startswith('sqlite://'):
             class ForeignKeysListener(PoolListener):
                 def connect(self, dbapi_con, con_record):
                     db_cursor = dbapi_con.execute('pragma foreign_keys=ON;')
-                    db_cursor = dbapi_con.execute('pragma case_sensitive_like=ON;')
+                    db_cursor = dbapi_con.execute(
+                        'pragma case_sensitive_like=ON;')
             self.engine = create_engine(db, connect_args={'check_same_thread': False}, poolclass=NullPool, listeners=[ForeignKeysListener()])
         #elif db.startswith('mysql://'):
         #    db = '%s?charset=utf8&use_unicode=0' %db
         #    self.engine = create_engine(db, convert_unicode=True)
         else:
+            #self.engine = create_engine(db, pool_size=0, max_overflow=-1)
             self.engine = create_engine(db, poolclass=NullPool)
-        #self.engine.echo = True
+        self.engine.echo = True
+        self.engine.echo_pool = False
         self.conn = self.engine.connect()
         self.trans = None
-    
+
     def close(self):
         self.conn.close()
-    
+
     def execute(self):
         self.trans = self.conn.begin()
-    
+
     def commit(self):
         self.trans.commit()
         self.trans = None
-    
+
     def rollback(self):
         self.trans.rollback()
         self.trans = None
